import Component from '../../component.js'

export default class CoUxOverlay extends Component {
    constructor(parent) {
      let selector = 'ux-overlay';
      super(parent, selector);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/src/lib/ux-components/ux-overlay/ux-overlay.component.ts
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/src/lib/ux-components/ux-overlay/ux-overlay.component.ts?at=support/10.x
    }
    get dataE2E() {
      let path = '//div[@data-e2e = "ux-overlay"]';
      return this.currentPath + path;
    }
    get overlayActive() {
      let path = '//div[contains(@class,"ux-overlay--is-active")]';
      return this.currentPath + path;
    }
    async isActive() {
      return (await $(this.overlayActive)).isExisting();
    }
}


